! { dg-do compile }
!
! PR fortran/18918
!
! Check parsing-diagnostics for coarrays
!
allocatable :: a(:), b[:], c(:)[:] ! OK
pointer :: d[:] ! { dg-error "Unexpected character" }
target  :: e[*] ! { dg-error "Unexpected character" }
dimension :: f (4)[*] ! { dg-error "Unexpected character" }
codimension :: g (4)  ! { dg-error "Missing array specification" }
dimension :: h   ! { dg-error "Missing array specification" }
codimension :: i ! { dg-error "Missing array specification" }
end
